osgWidget::WindowManager Class Reference

`#include <WindowManager>`

Inheritance diagram for osgWidget::WindowManager:

## Public Types

enum | WmFlags { WM_USE_LUA = 0x00000001 , WM_USE_PYTHON = 0x00000002 , WM_USE_RENDERBINS = 0x00000004 , WM_PICK_DEBUG = 0x00000008 }
enum | PointerDirection { PD_NONE = 0x00000000 , PD_LEFT = 0x00000001 , PD_RIGHT = 0x00000002 , PD_UP = 0x00000004 , PD_DOWN = 0x00000008 }
enum | PointerFocusMode { PFM_FOCUS = 0x00000000 , PFM_UNFOCUS = 0x00000001 , PFM_SLOPPY = 0x00000002 }
Public Types inherited from osg::Switch
typedef std::vector< bool > | ValueList
Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Public Types inherited from osgWidget::UIObjectParent< Window >
typedef Window | object_type
typedef osg::observer_ptr< object_type > | ptr_type
typedef std::vector< ptr_type > | Vector
typedef Vector::iterator | Iterator
typedef Vector::const_iterator | ConstIterator

## Public Member Functions

| META_Object (osgWidget, WindowManager)
| WindowManager (osgViewer::View *=0, point_type=0.0f, point_type=0.0f, unsigned int=0, unsigned int=0)
| WindowManager (const WindowManager &, const osg::CopyOp &)
virtual | ~WindowManager ()
bool | pickAtXY (float, float, WidgetList &)
bool | setFocused (Window *)
void | setPointerXY (float, float)
void | setStyleManager (StyleManager *)
void | resizeAllWindows (bool=true)
XYCoord | windowXY (double, double) const
XYCoord | localXY (double, double) const
bool | pointerMove (float, float)
bool | pointerDrag (float, float)
bool | mouseScroll (float, float)
osg::Camera * | createParentOrthoCamera ()
unsigned int | getNodeMask () const
point_type | getWidth () const
point_type | getHeight () const
bool | isUsingLua () const
bool | isUsingPython () const
bool | isUsingRenderBins () const
int | getMouseKeysDown () const
ScriptEngine * | getLuaEngine ()
const ScriptEngine * | getLuaEngine () const
ScriptEngine * | getPythonEngine ()
const ScriptEngine * | getPythonEngine () const
StyleManager * | getStyleManager ()
const StyleManager * | getStyleManager () const
PointerDirection | getPointerVerticalDirection () const
PointerDirection | getPointerHorizontalDirection () const
PointerFocusMode | getPointerFocusMode () const
int | getPointerDirectionVector () const
bool | isPointerMovingUp () const
bool | isPointerMovingDown () const
bool | isPointerMovingLeft () const
bool | isPointerMovingRight () const
bool | isPointerMovingVertically () const
bool | isPointerMovingHorizontally () const
bool | isLeftMouseButtonDown () const
bool | isMiddleMouseButtonDown () const
bool | isRightMouseButtonDown () const
bool | isMouseScrollingUp () const
bool | isMouseScrollingDown () const
bool | setFocusedByName (const std::string &name)
void | setScrollingMotion (osgGA::GUIEventAdapter::ScrollingMotion sm)
void | setPointerFocusMode (PointerFocusMode pfm)
void | setWidth (point_type w)
void | setHeight (point_type h)
void | setSize (point_type w, point_type h)
void | setWindowSize (point_type w, point_type h)
bool | mousePushedLeft (float x, float y)
bool | mousePushedMiddle (float x, float y)
bool | mousePushedRight (float x, float y)
bool | mouseReleasedLeft (float x, float y)
bool | mouseReleasedMiddle (float x, float y)
bool | mouseReleasedRight (float x, float y)
bool | keyDown (int, int)
bool | keyUp (int, int)
osgViewer::View * | getView ()
const osgViewer::View * | getView () const
Public Member Functions inherited from osg::Switch
| Switch ()
| Switch (const Switch &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
| META_Node (osg, Switch)
virtual void | traverse (NodeVisitor &nv)
void | setNewChildDefaultValue (bool value)
bool | getNewChildDefaultValue () const
virtual bool | addChild (Node *child)
virtual bool | addChild (Node *child, bool value)
virtual bool | insertChild (unsigned int index, Node *child)
virtual bool | insertChild (unsigned int index, Node *child, bool value)
virtual bool | removeChildren (unsigned int pos, unsigned int numChildrenToRemove)
void | setValue (unsigned int pos, bool value)
bool | getValue (unsigned int pos) const
void | setChildValue (const Node *child, bool value)
bool | getChildValue (const Node *child) const
bool | setAllChildrenOff ()
bool | setAllChildrenOn ()
bool | setSingleChildOn (unsigned int pos)
void | setValueList (const ValueList &values)
const ValueList & | getValueList () const
virtual BoundingSphere | computeBound () const
template<class T>
bool | addChild (const ref_ptr< T > &child)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child)
Public Member Functions inherited from osg::Group
| Group ()
| Group (const Group &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Group)
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
template<class T>
bool | addChild (const ref_ptr< T > &child)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child)
virtual bool | removeChild (Node *child)
template<class T>
bool | removeChild (const ref_ptr< T > &child)
bool | removeChild (unsigned int pos, unsigned int numChildrenToRemove=1)
virtual bool | replaceChild (Node *origChild, Node *newChild)
template<class T, class R>
bool | replaceChild (const ref_ptr< T > &origChild, const ref_ptr< R > &newChild)
virtual unsigned int | getNumChildren () const
virtual bool | setChild (unsigned int i, Node *node)
Node * | getChild (unsigned int i)
const Node * | getChild (unsigned int i) const
bool | containsNode (const Node *node) const
template<class T>
bool | containsNode (const ref_ptr< T > &node) const
unsigned int | getChildIndex (const Node *node) const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | accept (NodeVisitor &nv)
virtual void | ascend (NodeVisitor &nv)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const
Public Member Functions inherited from osgWidget::UIObjectParent< Window >
Iterator | begin ()
Iterator | end ()
Vector::size_type | size () const
object_type * | getByName (const std::string &name)
object_type * | getByIndex (unsigned int index)
unsigned int | getNumObjects () const
Vector & | getObjects ()

## Static Public Member Functions

static void | setEventFromInterface (Event &, EventInterface *)
template<typename T>
static EventInterface * | getFirstEventInterface (T &, Event &)
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Additional Inherited Members

Protected Member Functions inherited from osg::Switch
virtual | ~Switch ()
Protected Member Functions inherited from osg::Group
virtual | ~Group ()
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Member Functions inherited from osgWidget::UIObjectParent< Window >
bool | _remove (object_type *obj)
bool | _removeByName (const std::string &name)
Protected Attributes inherited from osg::Switch
bool | _newChildDefaultValue
ValueList | _values
Protected Attributes inherited from osg::Group
NodeList | _children
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount
Protected Attributes inherited from osgWidget::UIObjectParent< Window >
Vector | _objects

## Member Enumeration Documentation

## PointerDirection

enum osgWidget::WindowManager::PointerDirection

Enumerator
PD_NONE |
PD_LEFT |
PD_RIGHT |
PD_UP |
PD_DOWN |

## PointerFocusMode

enum osgWidget::WindowManager::PointerFocusMode

Enumerator
PFM_FOCUS |
PFM_UNFOCUS |
PFM_SLOPPY |

## WmFlags

enum osgWidget::WindowManager::WmFlags

Enumerator
WM_USE_LUA |
WM_USE_PYTHON |
WM_USE_RENDERBINS |
WM_PICK_DEBUG |

## Constructor & Destructor Documentation

## WindowManager() [1/2]

osgWidget::WindowManager::WindowManager | ( | osgViewer::View * | = 0,
|  | point_type | = 0.0f,
|  | point_type | = 0.0f,
|  | unsigned int | = 0,
|  | unsigned int | = 0 )

Referenced by META_Object(), and WindowManager().

## WindowManager() [2/2]

osgWidget::WindowManager::WindowManager | ( | const WindowManager & | ,
|  | const osg::CopyOp & | )

References WindowManager().

## ~WindowManager()

virtual osgWidget::WindowManager::~WindowManager | ( |  | ) |

virtual

## Member Function Documentation

## createParentOrthoCamera()

osg::Camera * osgWidget::WindowManager::createParentOrthoCamera | ( |  | ) |

## getFirstEventInterface()

template<typename T>

EventInterface * osgWidget::WindowManager::getFirstEventInterface | ( | T & | container,
|  | Event & | ev )

static

References osgWidget::Event::_widget, osgWidget::Event::_window, osgWidget::EventInterface::getEventMask(), osgWidget::Widget::getParent(), osgWidget::Window::getParentList(), and osgWidget::Event::type.

Referenced by setEventFromInterface().

## getHeight()

point_type osgWidget::WindowManager::getHeight | ( |  | ) | const

inline

## getLuaEngine() [1/2]

ScriptEngine * osgWidget::WindowManager::getLuaEngine | ( |  | ) |

inline

## getLuaEngine() [2/2]

const ScriptEngine * osgWidget::WindowManager::getLuaEngine | ( |  | ) | const

inline

## getMouseKeysDown()

int osgWidget::WindowManager::getMouseKeysDown | ( |  | ) | const

inline

References osgGA::GUIEventAdapter::LEFT_MOUSE_BUTTON, osgGA::GUIEventAdapter::MIDDLE_MOUSE_BUTTON, and osgGA::GUIEventAdapter::RIGHT_MOUSE_BUTTON.

## getNodeMask()

unsigned int osgWidget::WindowManager::getNodeMask | ( |  | ) | const

inline

## getPointerDirectionVector()

int osgWidget::WindowManager::getPointerDirectionVector | ( |  | ) | const

inline

## getPointerFocusMode()

PointerFocusMode osgWidget::WindowManager::getPointerFocusMode | ( |  | ) | const

inline

## getPointerHorizontalDirection()

PointerDirection osgWidget::WindowManager::getPointerHorizontalDirection | ( |  | ) | const

inline

## getPointerVerticalDirection()

PointerDirection osgWidget::WindowManager::getPointerVerticalDirection | ( |  | ) | const

inline

## getPythonEngine() [1/2]

ScriptEngine * osgWidget::WindowManager::getPythonEngine | ( |  | ) |

inline

## getPythonEngine() [2/2]

const ScriptEngine * osgWidget::WindowManager::getPythonEngine | ( |  | ) | const

inline

## getStyleManager() [1/2]

StyleManager * osgWidget::WindowManager::getStyleManager | ( |  | ) |

inline

## getStyleManager() [2/2]

const StyleManager * osgWidget::WindowManager::getStyleManager | ( |  | ) | const

inline

## getView() [1/2]

osgViewer::View * osgWidget::WindowManager::getView | ( |  | ) |

inline

## getView() [2/2]

const osgViewer::View * osgWidget::WindowManager::getView | ( |  | ) | const

inline

## getWidth()

point_type osgWidget::WindowManager::getWidth | ( |  | ) | const

inline

## isLeftMouseButtonDown()

bool osgWidget::WindowManager::isLeftMouseButtonDown | ( |  | ) | const

inline

## isMiddleMouseButtonDown()

bool osgWidget::WindowManager::isMiddleMouseButtonDown | ( |  | ) | const

inline

## isMouseScrollingDown()

bool osgWidget::WindowManager::isMouseScrollingDown | ( |  | ) | const

inline

References osgGA::GUIEventAdapter::SCROLL_DOWN.

## isMouseScrollingUp()

bool osgWidget::WindowManager::isMouseScrollingUp | ( |  | ) | const

inline

References osgGA::GUIEventAdapter::SCROLL_UP.

## isPointerMovingDown()

bool osgWidget::WindowManager::isPointerMovingDown | ( |  | ) | const

inline

References PD_DOWN.

## isPointerMovingHorizontally()

bool osgWidget::WindowManager::isPointerMovingHorizontally | ( |  | ) | const

inline

References PD_NONE.

## isPointerMovingLeft()

bool osgWidget::WindowManager::isPointerMovingLeft | ( |  | ) | const

inline

References PD_LEFT.

## isPointerMovingRight()

bool osgWidget::WindowManager::isPointerMovingRight | ( |  | ) | const

inline

References PD_RIGHT.

## isPointerMovingUp()

bool osgWidget::WindowManager::isPointerMovingUp | ( |  | ) | const

inline

References PD_UP.

## isPointerMovingVertically()

bool osgWidget::WindowManager::isPointerMovingVertically | ( |  | ) | const

inline

References PD_NONE.

## isRightMouseButtonDown()

bool osgWidget::WindowManager::isRightMouseButtonDown | ( |  | ) | const

inline

## isUsingLua()

bool osgWidget::WindowManager::isUsingLua | ( |  | ) | const

inline

References WM_USE_LUA.

## isUsingPython()

bool osgWidget::WindowManager::isUsingPython | ( |  | ) | const

inline

References WM_USE_PYTHON.

## isUsingRenderBins()

bool osgWidget::WindowManager::isUsingRenderBins | ( |  | ) | const

inline

References WM_USE_RENDERBINS.

## keyDown()

bool osgWidget::WindowManager::keyDown | ( | int | ,
|  | int | )

## keyUp()

bool osgWidget::WindowManager::keyUp | ( | int | ,
|  | int | )

## localXY()

XYCoord osgWidget::WindowManager::localXY | ( | double | ,
|  | double | ) const

## META_Object()

osgWidget::WindowManager::META_Object | ( | osgWidget | ,
|  | WindowManager | )

References WindowManager().

## mousePushedLeft()

bool osgWidget::WindowManager::mousePushedLeft | ( | float | x,
|  | float | y )

inline

## mousePushedMiddle()

bool osgWidget::WindowManager::mousePushedMiddle | ( | float | x,
|  | float | y )

inline

## mousePushedRight()

bool osgWidget::WindowManager::mousePushedRight | ( | float | x,
|  | float | y )

inline

## mouseReleasedLeft()

bool osgWidget::WindowManager::mouseReleasedLeft | ( | float | x,
|  | float | y )

inline

## mouseReleasedMiddle()

bool osgWidget::WindowManager::mouseReleasedMiddle | ( | float | x,
|  | float | y )

inline

## mouseReleasedRight()

bool osgWidget::WindowManager::mouseReleasedRight | ( | float | x,
|  | float | y )

inline

## mouseScroll()

bool osgWidget::WindowManager::mouseScroll | ( | float | ,
|  | float | )

## pickAtXY()

bool osgWidget::WindowManager::pickAtXY | ( | float | ,
|  | float | ,
|  | WidgetList & | )

## pointerDrag()

bool osgWidget::WindowManager::pointerDrag | ( | float | ,
|  | float | )

## pointerMove()

bool osgWidget::WindowManager::pointerMove | ( | float | ,
|  | float | )

## resizeAllWindows()

void osgWidget::WindowManager::resizeAllWindows | ( | bool | = true | ) |

## setEventFromInterface()

void osgWidget::WindowManager::setEventFromInterface | ( | Event & | ,
|  | EventInterface * | )

static

References getFirstEventInterface().

## setFocused()

bool osgWidget::WindowManager::setFocused | ( | Window * |  | ) |

Referenced by setFocusedByName().

## setFocusedByName()

bool osgWidget::WindowManager::setFocusedByName | ( | const std::string & | name | ) |

inline

References osgWidget::UIObjectParent< Window >::getByName(), and setFocused().

## setHeight()

void osgWidget::WindowManager::setHeight | ( | point_type | h | ) |

inline

## setPointerFocusMode()

void osgWidget::WindowManager::setPointerFocusMode | ( | PointerFocusMode | pfm | ) |

inline

## setPointerXY()

void osgWidget::WindowManager::setPointerXY | ( | float | ,
|  | float | )

## setScrollingMotion()

void osgWidget::WindowManager::setScrollingMotion | ( | osgGA::GUIEventAdapter::ScrollingMotion | sm | ) |

inline

## setSize()

void osgWidget::WindowManager::setSize | ( | point_type | w,
|  | point_type | h )

inline

## setStyleManager()

void osgWidget::WindowManager::setStyleManager | ( | StyleManager * |  | ) |

## setWidth()

void osgWidget::WindowManager::setWidth | ( | point_type | w | ) |

inline

## setWindowSize()

void osgWidget::WindowManager::setWindowSize | ( | point_type | w,
|  | point_type | h )

inline

## windowXY()

XYCoord osgWidget::WindowManager::windowXY | ( | double | ,
|  | double | ) const

The documentation for this class was generated from the following file:

- WindowManager